---
type: api
title: Pause a follower
description: Pause a cross-cluster replication follower index.
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/elasticsearch/v8/operation/operation-ccr-pause-follow
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/elasticsearch/v8/operation/operation-ccr-pause-follow
products:
  - Elasticsearch
---

# Pause a follower

Availability: 6.5+

## Paths

- `POST` `/{index}/_ccr/pause_follow`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/elasticsearch/v8/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/elasticsearch/v8/authentication#basicauth)
- [Bearer auth](/elastic/docs-builder/docs/4371/api/doc/elasticsearch/v8/authentication#bearerauth)

#### Path Parameters

- `index` (string IndexName)
  The name of the follower index.

## Description

Pause a cross-cluster replication follower index.
The follower index will not fetch any additional operations from the leader index.
You can resume following with the resume follower API.
You can pause and resume a follower index to change the configuration of the following task.

## Required authorization

* Cluster privileges: `manage_ccr`

## Query String Parameters

- `master_timeout` (string Duration · default: 30s)
  The period to wait for a connection to the master node.
If the master node is not available before the timeout expires, the request fails and returns an error.
It can also be set to `-1` to indicate that the request should never timeout.

## Response

`application/json`

- `acknowledged` (boolean)
  For a successful response, this value is always true. On failure, an exception is returned instead.
## Code Examples

#### Console

```console
POST /follower_index/_ccr/pause_follow
```

#### JavaScript

```javascript
const response = await client.ccr.pauseFollow({
  index: "follower_index",
});
```

#### Python

```python
resp = client.ccr.pause_follow(
    index="follower_index",
)
```

#### curl

```curl
curl -X POST "$ELASTICSEARCH_URL/follower_index/_ccr/pause_follow" \
  -H "Authorization: ApiKey $ELASTIC_API_KEY"
```

#### Java

```java
client.ccr().pauseFollow(p -> p
    .index("follower_index")
);
```

#### C#

```c#
var response = await client.CrossClusterReplication.PauseFollowAsync(index: "follower_index");
```

#### PHP

```php
$resp = $client->ccr()->pauseFollow([
    "index" => "follower_index",
]);
```

#### Ruby

```ruby
response = client.ccr.pause_follow(
  index: "follower_index"
)
```

## Response Examples

#### Pause follow index response example1

A successful response from `POST /follower_index/_ccr/pause_follow`, which pauses a follower index.

```json
{
  "acknowledged" : true
}
```

